const char * tri_frag_string =
"                                                                              \n"
"uniform vec3 WIRE_COL;                                                        \n"
"uniform vec3 FILL_COL;                                                        \n"
"                                                                              \n"
"varying vec3 dist;                                                            \n"
"                                                                              \n"
"void main(void)                                                               \n"
"{                                                                             \n"
"   // Undo perspective correction.                                            \n"
"	  vec3 dist_vec = dist * gl_FragCoord.w;                                     \n"
"                                                                              \n"
"   // Compute the shortest distance to the edge                               \n"
"	  float d =min(dist_vec[0],min(dist_vec[1],dist_vec[2]));                    \n"
"                                                                              \n"
"	  // Compute line intensity and then fragment color                          \n"
" 	float I = exp2(-2.0*d*d);                                                  \n"
" 	gl_FragColor.xyz = I*WIRE_COL + (1.0 - I)*FILL_COL;                        \n"
"}                                                                             \n";
